<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="type-summary" id="all-classes-table">
<table class="summary-table">
<caption><span>Class Summary</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><a href="app/Account.html" title="class in app">Account</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><a href="controllers/AccountController.html" title="class in controllers">AccountController</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><a href="app/AccountHelper.html" title="class in app">AccountHelper</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><a href="controllers/AuthController.html" title="class in controllers">AuthController</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><a href="util/DBMgr.html" title="class in util">DBMgr</a></td>
<th class="col-last" scope="row">
<div class="block">
 The Class DBMgr<br>
 DBMgr類別（class）主要管理與資料庫建立與關閉連線之方法（method），並儲存相關之設定資料<br>
 每個要與資料庫建立連線之類別應該import本類別</div>
</th>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><a href="tools/JsonReader.html" title="class in tools">JsonReader</a></td>
<th class="col-last" scope="row">
<div class="block">
 The Class JsonReader<br>
 JsonReader類別（class）主要用於處理Http Rrequest和Http Rresponse之方法（method）</div>
</th>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><a href="app/Kitchen.html" title="class in app">Kitchen</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><a href="controllers/KitchenController.html" title="class in controllers">KitchenController</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><a href="app/KitchenHelper.html" title="class in app">KitchenHelper</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><a href="app/Rent.html" title="class in app">Rent</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><a href="controllers/RentController.html" title="class in controllers">RentController</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><a href="app/RentHelper.html" title="class in app">RentHelper</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><a href="app/Transaction.html" title="class in app">Transaction</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><a href="controllers/TransactionController.html" title="class in controllers">TransactionController</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><a href="app/TransactionHelper.html" title="class in app">TransactionHelper</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><a href="app/Visa.html" title="class in app">Visa</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><a href="controllers/VisaController.html" title="class in controllers">VisaController</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><a href="app/VisaHelper.html" title="class in app">VisaHelper</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
</tbody>
</table>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
